<?php
date_default_timezone_set('America/Lima');
session_start();
require_once ("../../config/Cado.php");
require_once ("../notalmacen/cNotaalmacen.php");
$oNotaalmacen = new cNotaalmacen();

require_once("../formatos/formato.php");

if($_POST['action']=="insertar")
{
	$fec=date('d-m-Y');
	$alm_id = 1;
	$res = $_SESSION['usuario_nombre'];
	$area = 'INVENTARIO';
}

if($_POST['action']=="editar")
{
	$dts= $oNotaalmacen->mostrarUno($_POST['notalm_id']);
	$dt = mysqli_fetch_array($dts);

		$fec	= mostrarFecha($dt['tb_notaalmacen_fec']);
		$tip	= $dt['tb_notaalmacen_tip'];
		$numdoc	= $dt['tb_notaalmacen_numdoc'];
		$notalmtip_id = $dt['tb_notaalmacentipo_id'];
		$des	= $dt['tb_notaalmacen_des'];
		$res	= $dt['tb_notaalmacen_res'];
		$area	= $dt['tb_notaalmacen_area'];
		$alm_id	= $dt['tb_almacen_id'];
	mysqli_free_result($dts);
}
?>
 <style type="text/css">
.ui-autocomplete
{
    z-index: 99999; 
}
</style>

	<div class="col-lg-12 col-sm-12 col-xs-12">
	<form id="for_notalm">

		<input name="action_notaalmacen" id="action_notaalmacen" type="hidden" value="<?php echo $_POST['action']?>">
		<input name="hdd_notalm_id" id="hdd_notalm_id" type="hidden" value="<?php echo $_POST['notalm_id']?>">
		<input name="hdd_usu_id" id="hdd_usu_id" type="hidden" value="<?php echo $_SESSION['usuario_id']?>">
		<input name="hdd_emp_id" id="hdd_emp_id" type="hidden" value="<?php echo $_SESSION['empresa_id']?>">
		
		<div class="box-header with-border">
			<h3 class="box-title">Registrar nota almacen</h3>
		</div>
			
			
			<div class="row">
			
			<div class="col-lg-2 col-xs-6">
			<label for="txt_notalm_fec">Fecha:</label><br />
			<input class="form-control" name="txt_notalm_fec" type="text" class="fecha" id="txt_notalm_fec" value="<?php echo $fec?>" >					
			</div>
			
			<div class="col-lg-3 col-sm-6 col-xs-6"> 
			<label for="txt_notalm_numdoc">Num. Doc.:</label></br>
			<input name="txt_notalm_numdoc" id="txt_notalm_numdoc" type="text" value="<?php echo $numdoc; ?>" readonly style="text-align:right; color:#FFA900; font-size:14px"  class="form-control" >
			</div>
		
			<div class="col-lg-6 col-xs-6">
			<label for="cmb_alm_id">Almacén:</label><br />
			<select class=" form-control" name="cmb_alm_id" id="cmb_alm_id"></select>
			</div>
			
			<div class="col-lg-3 col-xs-6">
			<label for="cmb_notalm_tip">Tipo:</label><br />
			<select class=" form-control" name="cmb_notalm_tip" id="cmb_notalm_tip">
					<option value="1" <?php if($tip==1)echo 'selected'?>>INGRESO (Aumentar Stock)</option>
					<?php if ($_SESSION['usuariogrupo_id']!='6'){?>					<option value="2" <?php if($tip==2)echo 'selected'?>>SALIDA (Disminuir Stock)</option>
					<?php }?>			</select>
			</div>
			
			<div class="col-lg-2 col-xs-6">
			<label for="cmb_notalmtip_id">Tipo Operacion:</label><br />
			<select class=" form-control" name="cmb_notalmtip_id" id="cmb_notalmtip_id">
			</select>
			</div>	
			
			<div class="col-lg-6 col-xs-6">
			<label for="txt_notalm_des">Observacion:</label><br />
			<input name="txt_notalm_des" class="form-control"  id="txt_notalm_des" autocomplete="off" value="<?php echo $des?>" type="text">
			</div>
				
			<div class="col-lg-3 col-xs-6">
			<label for="txt_notalm_res">Responsable:</label><br />
			<input name="txt_notalm_res" class="form-control"  id="txt_notalm_res" value="<?php echo $res?>" type="text">
			</div>	
			
			<div class="col-lg-3 col-xs-6">
			<label for="txt_notalm_area">Area/Trabajo:</label><br />
			<input name="txt_notalm_area" class="form-control"  id="txt_notalm_area" value="<?php echo $area?>" type="text">
			</div>	
			
			<div class="col-lg-4 col-xs-4" style="display:none">
			<label for="txt_notalm_docrel">Documento relacionado:</label><br />
			<input name="txt_notalm_docrel" class="form-control"  id="txt_notalm_docrel" value="<?php echo $docrel?>" type="text">
			</div>	
			</div>	
			
			
			<div class="col-lg-12 col-md-12 col-xs-12" style="height:10px;"></div>	
			
<?php 
	if($_POST['action']=="insertar")
	{	
?>	

<div class=" div_pro card card-default card-solid card-primary ">
								<div id="fieldset_producto" class="col-lg-12 col-md-12 col-xs-12 ">								
										<div class="card-body">
											<div class="row">

 												<div class="col-lg-2 col-sm-4 col-xs-6">
														<label for="txt_bus_pro_codbar" class="text-red" >COD. BAR.:</label> 														
														<input name="txt_bus_pro_codbar" type="text" autocomplete="off" id="txt_bus_pro_codbar" autofocus class="form-control" >
 														<input name="hdd_com_numite" id="hdd_com_numite" type="hidden">
 												</div>
												
												<div class="col-lg-2 col-sm-5 col-xs-6">
													<label for="txt_bus_pro_mar">Marca:</label>
													<input name="txt_bus_pro_mar" autocomplete="off" type="text" id="txt_bus_pro_mar"  class="form-control" >	
												</div>
													
												<div class="col-lg-2 col-sm-3 col-xs-6">
														<label for="txt_fil_pro_dat1">Busqueda:</label>
														<input name="txt_fil_pro_dat1" autocomplete="off" type="text" id="txt_fil_pro_dat1" class="form-control">
												</div>
							
												<div class="col-lg-2 col-sm-3 col-xs-6">
														<label for="txt_fil_pro_dat2">-</label>
														<input name="txt_fil_pro_dat2" autocomplete="off" type="text" id="txt_fil_pro_dat2"  class="form-control">
												</div>
							
												<div class="col-lg-2 col-sm-3 col-xs-6">
														<label for="txt_fil_pro_dat3">-</label>
														<input name="txt_fil_pro_dat3" autocomplete="off" type="text" id="txt_fil_pro_dat3"  class="form-control">
												</div>
							
						<!--
							<div class="col-lg-2 col-sm-3 col-xs-6">
								<label for="txt_fil_pro_dat4">-</label>
								<input name="txt_fil_pro_dat4" autocomplete="off" type="text" id="txt_fil_pro_dat4"  class="form-control">
							</div>
							-->
											<div style="display: inline-block; white-space: nowrap;padding-top: 30px;" class="col-lg-2 col-sm-4 col-xs-12">
													<div class="btn-group">
													<a onClick="agregar_producto('restablecer');" id="btn_rest_car" class="btn btn-primary" href="javascript:void(0)"><i class="fas fa-retweet"></i></a>
													<button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
													<span class="caret"></span>														
													</button>
													<ul class="dropdown-menu" role="menu">
													<li><a class="dropdown-item" onClick="agregar_producto_lista();" href="javascript:void(0)"> <i class="fas fa-filter"></i> Seleccionar productos</a></li>
															<!--	<li><a onClick="producto_form('insertar')" href="javascript:void(0)"><i class="fa fa-plus"></i> Nuevo Producto</a></li> -->
													</ul>
													</div> 
											</div>
													
 												
 													

 												</div> 
 											</div> 
 										</div>
 									</div>
							
					
		
	<div class="col-lg-12 col-xs-12">
	<div id="div_notaalmacen_car_tabla"></div>
	</div>
	
		
<?php }?>

</form>	

<?php if($_POST['action']=="editar"){ ?>
<br>

<div class="col-lg-12 col-xs-12">
<div id="div_notaalmacen_detalle_tabla"></div>
</div>

<?php }?>

			<div class="box-footer float-right ">
					<button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
					<button class="btn btn-primary" id="save_form">Guardar</button>
			</div>
			
			</div>




			
			
			
<script type="text/javascript">

function txt_notalm_numdoc()
 			{
 				$.ajax({
 					type: "POST",
 					url: "../venta/venta_txt_numdoc.php",
 					async:false,
 					dataType: "json",                      
 					data: ({
 						doc_id: 29
 					}),
 					beforeSend: function() {
 						$('#txt_notalm_numdoc').val('Cargando...');
 					},
 					success: function(data){			
 						$('#txt_notalm_numdoc').val(data.numero);
 						if(data.msj!="")
 						{
							toastr["success"](data.msj);
 						}
 						else
 						{
 						}
 					},
 					complete: function(){
							verificar_numdoc();							
 						}
 					});
 			}
			
			
	function verificar_numdoc(){	
	$.ajax({
		type: "POST",
		url: "../venta/venta_ver_serie.php",
		async:false,
		dataType: "json",                      
		data: ({
			doc_id: 26,
			numdoc: $('#txt_notalm_numdoc').val(),
			ven_est: '1' //$('#cmb_ven_est').val()
		}),
		beforeSend: function() {

		},
		success: function(data){			
			$('#hdd_tra_doc').val(data.valor);

			if(data.msj!="")
			{			
			toastr["info"](data.msj);					
			}
		}
	});
		
	}


$('#txt_notalm_des, #txt_notalm_res, #txt_notalm_area').change(function(){
		$(this).val($(this).val().toUpperCase());
	});

	
	$("#save_form").click(function(){
		$("#for_notalm").submit();
	});
	
		$('#txt_notalm_fec').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			
		}); 
	
	

	function cmb_alm_id(id){
		$.ajax({
			type: "POST",
			url: "../almacen/cmb_alm_id.php",
			async:false,
			dataType: "html",                      
			data: ({
				alm_id: id
			}),
			beforeSend: function() {
				$('#cmb_alm_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_alm_id').html(html);
			},
			complete: function(){

			}
		});
	}

	function cmb_notalmtip_id(tip,idf){
		$.ajax({
			type: "POST",
			url: "../notaalmacentipo/cmb_notalmtip_id.php",
			async:true,
			dataType: "html",                      
			data: ({
				notalm_tip:	tip,
				notalmtip_id: idf
			}),
			beforeSend: function() {
				$('#cmb_notalmtip_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){			
				$('#cmb_notalmtip_id').html(html);
			}
		});
	}

	function notaalmacen_detalle_tabla(id){
		$.ajax({
			type: "POST",
			url: "../notalmacen/notaalmacen_detalle_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
				notalm_id:	id
			}),
			beforeSend: function() {
				$('#div_notaalmacen_detalle_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_notaalmacen_detalle_tabla').html(html);
			},
			complete: function(){			
				$('#div_notaalmacen_detalle_tabla').removeClass("ui-state-disabled");
			}
		});     
	}


	function foco()
	{
		$('#hdd_bus_cat_id').val('');

		$('#txt_bus_pro_codbar').val('');
		$('#txt_bus_pro_nom').val('');
		$('#hdd_bus_pro_nom').val('');
		$('#txt_bus_cat_can').val('');

		$('#cmb_bus_uni_id').html('<option value="">-</option>');
		$('#div_bus_imgs').html('');

		$('#txt_bus_pro_nom').focus();
	}

	function agregar_producto_lista(codmar,dat1,dat2,dat3,dat4,mar){
			$('#div_productomarca_form_dialog').modal();
			$('body').css('overflow-y','hidden');
		
		
			$.ajax({
				type: "POST",
				url: "../compra/seleccionarproducto.php",
				async:true,
				dataType: "html",                      
				data: ({
					codmar:codmar || $("#txt_bus_pro_cod").val(),
					dat1:dat1 || $("#txt_fil_pro_dat1").val(),
					dat2:dat2 || $("#txt_fil_pro_dat2").val(),
					dat3:dat3 || $("#txt_fil_pro_dat3").val(),
					dat4:dat4 || $("#txt_fil_pro_dat4").val(),
					mar:mar || $("#txt_bus_pro_mar").val(),
					punven_id: <?php echo $_SESSION['puntoventa_id']?>,
					vista:'compra_form'
				}),
				beforeSend: function() {
					var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
					$('.div_productomarca_form').html(div);
				},
				success: function(html){
					$('.div_productomarca_form').html(html);				
				}
			});
		}
		
	
	
	function notaalmacen_car_tabla(){
		$.ajax({
			type: "POST",
			url: "../notalmacen/notalmacen_car_tabla.php",
			async: true,
			dataType: "html",                      
			beforeSend: function() {
				$('#div_notaalmacen_car_tabla').addClass("ui-state-disabled");
			},
			success: function(html){			
				$('#div_notaalmacen_car_tabla').html(html);
			},
			complete: function(){			
				$('#div_notaalmacen_car_tabla').removeClass("ui-state-disabled");
			}
		});
	}

	
	$('#cmb_alm_id').focus();
	$('#cmb_alm_id').keydown(function(e){
		if(e.keyCode == 13){$('#cmb_notalm_tip').focus(); return false;}
	});

	$('#cmb_notalm_tip').keydown(function(e){
		if(e.keyCode == 13){$('#cmb_notalmtip_id').focus(); return false;}
	});

	$('#cmb_notalmtip_id').keydown(function(e){
		if(e.keyCode == 13){$('#txt_notalm_des').focus(); return false;}
	});

	$('#txt_notalm_des').keydown(function(e){
		if(e.keyCode == 13){$("#txt_notalm_res").focus(); return false;}
	});

	$('#txt_notalm_res').keydown(function(e){
		if(e.keyCode == 13){$("#txt_notalm_area").focus(); return false;}
	});
	
	$('#txt_notalm_area').keydown(function(e){
		if(e.keyCode == 13){$("#txt_bus_pro_codbar").focus(); return false;}
	});


	$("#txt_bus_pro_codbar").keydown(function(e){
		if(e.which==13){
			if($("#txt_bus_pro_codbar").val()!="")
			{
				
			}else{
				$("#txt_bus_pro_nom").focus();
			}
			return false;
		}
	});
	
		
$( "#txt_notalm_res" ).autocomplete({
		minLength: 1,
		source: "../trabajador/trabajador_autocompletar.php",
		select: function(event, ui){			
			
				$("#txt_notalm_res").val(ui.item.value);							
			
			}
});


$( "#txt_notalm_area" ).autocomplete({
		minLength: 1,
		source: "../notalmacen/area_autocompletar.php",
		select: function(event, ui){			
			
				$("#txt_notalm_area").val(ui.item.value);							
			
			}
});	
			
	
	
		$( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat2" ).focus();
				//producto_tabla();
				e.preventDefault();
			}
		});

		$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat3" ).focus();
				//producto_tabla();
				e.preventDefault();
			}
		});

		$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat4" ).focus();
				//producto_tabla();
				e.preventDefault();
			}
		});
		
		$( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			
			}
		});
		
			$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			}
		});
		
		
			$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==13)
			{
				
				agregar_producto_lista();
				return false;
			
			}
		});
		
			$( "#txt_fil_pro_dat4" ).keydown(function(e){			
			if(e.which==13){			
			agregar_producto_lista();				
			return false;			
			}		
			});
			
		$("#txt_fil_pro_dat4").keydown(function(e){			
		if(e.which==8)			{				
		if($("#txt_fil_pro_dat4").val()==""){				
		$("#txt_fil_pro_dat3").focus();				
		}				
		}		
		});	
		
		$("#txt_fil_pro_dat3").keydown(function(e){		
		if(e.which==8)			{		
		if($("#txt_fil_pro_dat3").val()==""){		
		$("#txt_fil_pro_dat2").focus();			
		}			
		}	
		});
		
		
		$("#txt_fil_pro_dat2").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat2").val()==""){
					$("#txt_fil_pro_dat1").focus();
				}	
					
			}
		});
	
	
	$("#txt_bus_pro_mar").keydown(function(e){
		if (e.which == 13){						agregar_producto_lista('','','','');			return false;		}	});
	
	
	$("#txt_bus_pro_codbar").keydown(function(e){		
	if (e.which == 13){						
	buscar_producto($("#txt_bus_pro_codbar").val());	
	return false;		
	}
	});

	 function buscar_producto(codbar){	 
	 if(codbar!=""){		
	 $('#div_mensaje_dialog').modal('show');	
	 $.ajax({		
	 type: "POST",	
	 url: "../producto/producto_codbar_data.php",	
	 async:true,		
	 dataType: "json",        
	 data: ({				
	 codbar: codbar			
	 }),			
	 beforeSend: function(){	
	 var divmen = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  	 <i class='fa fa-refresh fa-spin ' ></i> PROCESANDO PETICIÓN</div>  </center>";					
	 $('.div_mensaje').html(divmen);		
	 },			
	 
	 success: function(data){	
	 if(data.est=='1'){		
	 agregar_producto('agregar',data.catid,data.can,'','',data.marid,'','','');		
	 }else{		
	 toastr["error"]('No existe ningun porducto con ese COD. BAR.');			
	 }			
	 $('#div_mensaje_dialog').modal('hide');		
	 }	
	 });	
	 }else{	
	 toastr["error"]('Ingrese un codigo de barras.');	
	 } 
	 }	


function agregar_producto(act,idf, cantidad,preven,marid,des,mon,est){
	
	//alert($("#cmb_alm_id").val());
	
	$.ajax({	
	type: "POST",		
	url: "../notalmacen/notaalmacen_car_fila.php",	
	async:true,		
	dataType: "json",       
	data: ({			
	action:	 act,		
	cat_id:	 idf,		
	
	cat_can: 	
	cantidad || $('#txt_bus_cat_can').val(),	
	cat_preven: preven || $('#txt_bus_cat_preven').val(),	
	mar_id: marid,				
	cat_des: des,		
	est: est,			
	mon: $("#txt_mone_id").val(),
	alm_id: $("#cmb_alm_id").val(),		
	notalm_tip: $("#cmb_notalm_tip").val()		
	}),
		beforeSend: function() {

		},
		success: function(data){
			
			if(data.estado==false)
			{
				toastr["error"](data.mensaje);
			}else if(data.estado==true)
			{
				$('#txt_fil_pro_dat1').focus();
				toastr["info"](data.mensaje);
			}
			
		},
		complete: function(data)
		{
			
				notaalmacen_car_tabla();
			
		}
	});
	
	}
	
	
		function notaalmacen_car_tabla(){
		$.ajax({
			type: "POST",
			url: "../notalmacen/notalmacen_car_tabla.php",
			async: true,
			dataType: "html",                      
			beforeSend: function() {
				$('#div_notaalmacen_car_tabla').addClass("ui-state-disabled");
			},
			success: function(html){			
				$('#div_notaalmacen_car_tabla').html(html);
			},
			complete: function(){			
				$('#div_notaalmacen_car_tabla').removeClass("ui-state-disabled");
			}
		});
	}
	
	
	
	$(function() {

	
		cmb_alm_id(<?php echo $alm_id;?>);

		<?php if($_POST['action']=="insertar"){ ?>
			txt_notalm_numdoc();
			agregar_producto('restablecer');
			cmb_notalmtip_id($('#cmb_notalm_tip').val(),'');
			$('#cmb_alm_id').change( function() {
				agregar_producto('restablecer');
			});

			$('#cmb_notalm_tip').change( function() {

				cmb_notalmtip_id($('#cmb_notalm_tip').val(),'');
				agregar_producto('restablecer');
			});

		<?php } ?>
		
		<?php if($_POST['action']=="editar"){ ?>

			cmb_alm_id(<?php echo $alm_id;?>);
			cmb_notalmtip_id($('#cmb_notalm_tip').val(),<?php echo $notalmtip_id?>);			

			$('#cmb_alm_id, #cmb_notalm_tip, #cmb_notalmtip_id, #txt_notalm_res, #txt_notalm_area').attr('disabled', 'disabled');

			//$('#txt_notalm_des').attr('disabled', 'disabled');

			notaalmacen_detalle_tabla(<?php echo $_POST['notalm_id']?>);

		<?php } ?>

		
$('#for_notalm').bootstrapValidator({
	      //live: 'disabled',
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },  
	      fields: {	       	
	      	txt_notalm_fec: {
	      		group: '.col-lg-3',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
				cmb_alm_id: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
				cmb_notalm_tip: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
			cmb_notalmtip_id: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
			txt_notalm_res: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
			txt_notalm_area: {
	      		group: '.col-lg-3',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
				hdd_notalm_numite: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	}
	      }
	  }).on('success.form.bv', function(e) {

	  $('#div_mensaje_dialog').modal();
	  
	  	$.ajax({
	  		type: "POST",
	  		url: "../notalmacen/notaalmacen_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: $("#for_notalm").serialize(),
	  		beforeSend: function() {					 
	  			
	  		},
	  		success: function(data){	
				
				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> PROCESANDO PETICION.</div>  </center>";	
				$('.div_mensaje').html(div);
				
	  			//$('.modal').modal('hide');
				//$('.in').removeClass('modal-backdrop');
						
				$('#div_notaalmacen_form_dialog').modal('hide');
				
				
				toastr["info"](data.mensaje);	
			
	  		},
	  		complete: function(){
	  			notaalmacen_tabla();
	  		}
	  	}); 

	  });
	  
	  

	
	
	
	
	});
</script>


